Bug 454382 - nfs v3 fails to mount tcp only nfs servers
nfs v3 fails to mount tcp only nfs servers
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-08 00:37 EDT by Kevin Stearns
Modified: 2009-06-11 10:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-11 10:25:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Stearns 2008-07-08 00:37:41 EDT
Description of problem:

Fedora release 9 (Sulphur)
Linux 2.6.25.9-76.fc9.i686

mount.nfs (linux nfs-utils 1.1.2)


How reproducible:

Steps to Reproduce:

Attempt to mount that server via the following command

Set up an NFS server that does not allow connections to it
via UDP. (and example of this would be one that is behind a firewall that
blocks UDP)

mount -t nfs -s -o
hard,intr,nfsvers=3,tcp,rsize=65536,wsize=65536,timeo=200,nosuid,
testserver.ibm.com:/testexport /test

  
Actual results:

eventually the mount will fail with an "internal error"


Expected results:

I would expect the mount to succeed. The mount (mount.nfs) command should be
able to complete the mount successfully using only tcp to connect to the
portmapper, mountd and nfs.

Additional info:

This is very similar to this ubuntu bug described here

https://bugs.launchpad.net/ubuntu/+source/nfs-utils/+bug/213444
Comment 1 Steve Dickson 2008-07-08 06:54:16 EDT

*** This bug has been marked as a duplicate of 444275 ***
Comment 2 Kevin Stearns 2008-07-08 07:52:35 EDT
nfs-utils-1.1.2-6.fc9.i386 does not fix this problem. I don't believe it is a 
duplicate of 444275
Comment 3 Steve Dickson 2008-07-08 08:29:28 EDT
Kevin, 

thanks for testing this out... I'll keep looking into this...
Comment 4 Pierre Ossman 2008-07-15 13:30:32 EDT
This is particularly problematic when tunneling NFS over SSH as you can only
tunnel TCP.
Comment 5 Bug Zapper 2009-06-09 21:58:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Steve Dickson 2009-06-11 09:33:03 EDT
Is this still a problem with later releases of Fedora? If so I'll
bump up the bug version from 9 to 10 or 11
Comment 7 Kevin Stearns 2009-06-11 10:11:05 EDT
(In reply to comment #6)
> Is this still a problem with later releases of Fedora? If so I'll
> bump up the bug version from 9 to 10 or 11  

I don't manage that machine anymore but I am told that the package:

nfs-utils-1.1.2-11.fc9.i386

has replaced the mount.nfs binary that contained my own patch.

In spite of this the mount is successful. But that does not mean the
problem is fixed because the nfs server we had the problem with
now offers mountd and nfs on both TCP and UDP.
Comment 8 Steve Dickson 2009-06-11 10:25:54 EDT
Ok.. I am not able to reproduce this problem with F-10 and F-11.
So I am going to close this bug. Please feel free to reopen it
if the problem comes back..
Comment 9 Kevin Stearns 2009-06-11 10:36:50 EDT
(In reply to comment #8)
> Ok.. I am not able to reproduce this problem with F-10 and F-11.
> So I am going to close this bug. Please feel free to reopen it
> if the problem comes back..  

That sounds fine. Thank you for your help.

Note You need to log in before you can comment on or make changes to this bug.